Bug 22111 - Correctly format fines when placing holds (maxoutstanding warning)
Summary: Correctly format fines when placing holds (maxoutstanding warning)
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Katrin Fischer
QA Contact: Josef Moravec
URL:
Keywords:
Depends on:
Blocks: 22112
  Show dependency treegraph
 
Reported: 2019-01-11 22:35 UTC by Katrin Fischer
Modified: 2019-02-25 07:08 UTC (History)
8 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 22111: Format price on place holds place when maxoutstanding is reached (1.95 KB, patch)
2019-01-11 22:47 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22111: Format amount shown on place holds when maxoutstanding is reached (staff) (1.96 KB, patch)
2019-01-12 08:17 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 22111: Format amount shown on place holds when maxoutstanding is reached (staff) (2.00 KB, patch)
2019-01-15 15:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 22111: Format amount shown on place holds when maxoutstanding is reached (staff) (2.08 KB, patch)
2019-01-18 21:59 UTC, Mikaël Olangcay Brisebois
Details | Diff | Splinter Review
Bug 22111: Format amount shown on place holds when maxoutstanding is reached (staff) (2.14 KB, patch)
2019-01-21 15:53 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2019-01-11 22:35:11 UTC
When a user has more fines than maxoutstanding holds are no longer possible. The fine amount displayed should be formatted according to the CurrencyFormat system preference.
Comment 1 Katrin Fischer 2019-01-11 22:47:24 UTC Comment hidden (obsolete)
Comment 2 Katrin Fischer 2019-01-12 08:17:59 UTC
Created attachment 83837 [details] [review]
Bug 22111: Format amount shown on place holds when maxoutstanding is reached (staff)

Displays amount outstanding correctly when holds are blocked
by maxoutstanding.

To test:
- Check maxoutstanding system preference value
- Add a fine to a patron account exceeding maxoutstanding
- Try to place a hold for this patron from staff
- Verify this message is shown:

     Patron has outstanding fines: 6.00

- Toggle CurrencyFormat system preference and verify display
  changes according to setting
Comment 3 Ethan 2019-01-15 01:06:31 UTC
I believe these changes have already been made, this is the message I got when I tried to test. Setting to resolved

$ git bz apply 22111
Bug 22111 - Correctly format fines when placing holds (maxoutstanding warning)

83832 - Bug 22111: Format price on place holds place when maxoutstanding is reached
83837 - Bug 22111: Format amount shown on place holds when maxoutstanding is reached (staff)

Apply? [(y)es, (n)o, (i)nteractive] y
Applying: Bug 22111: Format price on place holds place when maxoutstanding is reached
Applying: Bug 22111: Format amount shown on place holds when maxoutstanding is reached (staff)
Using index info to reconstruct a base tree...
M	koha-tmpl/intranet-tmpl/prog/en/modules/reserve/request.tt
Falling back to patching base and 3-way merge...
No changes -- Patch already applied.
Comment 4 Katrin Fischer 2019-01-15 06:14:07 UTC
Hi Ethan,

thx for testing! This was my fault. When I attached a second version of the patch with a changed commit message, I forgot to obsolete the first one. So when you tried to test it applied both and the second caused the warning as the change was the same in both.

Could you please try again?
Comment 5 Owen Leonard 2019-01-15 15:50:33 UTC
Created attachment 83987 [details] [review]
Bug 22111: Format amount shown on place holds when maxoutstanding is reached (staff)

Displays amount outstanding correctly when holds are blocked
by maxoutstanding.

To test:
- Check maxoutstanding system preference value
- Add a fine to a patron account exceeding maxoutstanding
- Try to place a hold for this patron from staff
- Verify this message is shown:

     Patron has outstanding fines: 6.00

- Toggle CurrencyFormat system preference and verify display
  changes according to setting

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 6 Mikaël Olangcay Brisebois 2019-01-18 21:59:07 UTC
Created attachment 84228 [details] [review]
Bug 22111: Format amount shown on place holds when maxoutstanding is reached (staff)

Displays amount outstanding correctly when holds are blocked
by maxoutstanding.

To test:
- Check maxoutstanding system preference value
- Add a fine to a patron account exceeding maxoutstanding
- Try to place a hold for this patron from staff
- Verify this message is shown:

     Patron has outstanding fines: 6.00

- Toggle CurrencyFormat system preference and verify display
  changes according to setting

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Mikael Olangcay Brisebois <mikael.olangcay-brisebois@inlibro.com>
Comment 7 Josef Moravec 2019-01-21 15:53:53 UTC
Created attachment 84269 [details] [review]
Bug 22111: Format amount shown on place holds when maxoutstanding is reached (staff)

Displays amount outstanding correctly when holds are blocked
by maxoutstanding.

To test:
- Check maxoutstanding system preference value
- Add a fine to a patron account exceeding maxoutstanding
- Try to place a hold for this patron from staff
- Verify this message is shown:

     Patron has outstanding fines: 6.00

- Toggle CurrencyFormat system preference and verify display
  changes according to setting

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Signed-off-by: Mikael Olangcay Brisebois <mikael.olangcay-brisebois@inlibro.com>

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Nick Clemens 2019-01-25 17:58:01 UTC
Awesome work all!

Pushed to master for 19.05
Comment 9 Martin Renvoize 2019-01-31 16:43:56 UTC
Pushed to 18.11.x for 18.11.03
Comment 10 Lucas Gass 2019-02-01 22:47:18 UTC
pushed to 18.05.x for 18.05.09
Comment 11 Fridolin SOMERS 2019-02-04 12:56:03 UTC
Pushed to 17.11.x for 17.11.15